Issue 11118 - Viewer
Summary: Viewer
Status: CLOSED WONT_FIX
Alias: None
Product: marketing
Classification: Infrastructure
Component: www (show other issues)
Version: current
Hardware: PC All
: P3 Trivial
Target Milestone: ---
Assignee: nedrichards
QA Contact: issues@marketing
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2003-02-01 11:44 UTC by rmaris
Modified: 2008-05-17 23:48 UTC (History)
3 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description rmaris 2003-02-01 11:44:55 UTC
I believe, the usage of native OOo file formats by document authors which must share documents 
with others per email or so can become a dramatic increase when you would supply viewers for the 
different common OOo formats (at least write/calc/impress).

Please note that microsoft 
also provides free word & excel viewers for those not having MS-office. In the case of OOo, this 
could speed up setting a new defacto standard with sxw, sxc etc.

The viewers should reach a 
comparable penetration degree as PDF does.....

Rob
Comment 1 nedrichards 2003-07-16 12:43:33 UTC
Hi there,

This is a discussion we've been through and rather than have to create
a cut down viewer for each platform we support we decided to support
common open standards in our export file formats. Thus 1.1 now
natively exports PDF, Flash and XHTML (and more). We'd rather that
Adobe or Macromedia etc. created the viewers for us. It also fits much
better into the OOo philosophy of supporting open standards (eg OASIS)
Comment 2 olo 2005-02-18 12:43:47 UTC
Since some folks still argument that a viewer is not needed, here are collected
arguments that support the need:

* The full OpenOffice is 70MB and downloading it just to view an SXW is not an
option for dial-up users

* When you are in an Internet cafe, you probably don't have the rights to
install software. You could, however, download and run the viewer if it was just
a simple ready-to execute single binary (e.g. ooviewer.exe for Win32)

* Distributing PDFs/Flash intead of SXWs/SXCs is not always an option, since:
1) PDFs are always waaaaay bigger than corresponding SXWs/SXCs because of
embedded fonts, weaker image compression etc.
2) What if the person viewing the document decides she/he wants to make some
corrections and send it back? With SXW/SXC there's always an option of getting
OpenOffice and editing the document easily.
PDF's are mostly read-only, since they are actually ready-to-print, compiled
documents with absolute positioning and without information about text flow etc.
You can only annotate PDFs with some tools, but not edit them or retrieve the
source document with all formatting etc.

There SHOULD be lightweight viewers for .SXW, .SXC, possibly .SXD and .SXI.
The OpenOffice project would be the best place to collect such subprojects,
instead of relying on others to implement these.

I vote for reopening this bug, possibly setting the target to a distant future.
Comment 3 ace_dent 2008-05-17 21:43:38 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 ace_dent 2008-05-17 23:48:30 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew